class MyClass
  def MyClass.singleton_method_added(sym)
    puts "Added method #{sym.to_s} to class MyClass."
  end
  def MyClass.meth1
    puts "I'm meth1."
  end
end

def MyClass.meth2
  puts "And I'm meth2."
end

